clang 8.0.0

Public Member Functions | List of all members
clang::LiveVariables::Observer Class Reference

`#include "clang/Analysis/Analyses/LiveVariables.h"`

## Public Member Functions
virtual | ~Observer ()
virtual void | observeStmt (const Stmt *S, const CFGBlock *currentBlock, const LivenessValues &V)
| A callback invoked right before invoking the liveness transfer function on the given statement. More...
virtual void | observerKill (const DeclRefExpr *DR)
| Called when the live variables analysis registers that a variable is killed. More...

## Detailed Description

Definition at line 55 of file LiveVariables.h.

## Constructor & Destructor Documentation

## ◆ ~Observer()

virtual clang::LiveVariables::Observer::~Observer | ( |  | ) |
| inline virtual

Definition at line 58 of file LiveVariables.h.

## Member Function Documentation

## ◆ observerKill()

virtual void clang::LiveVariables::Observer::observerKill | ( | const DeclRefExpr * | DR | ) |
| inline virtual

Called when the live variables analysis registers that a variable is killed.

Definition at line 68 of file LiveVariables.h.

References clang::LiveVariables::computeLiveness(), clang::LiveVariables::LivenessValues::isLive(), and clang::LiveVariables::~LiveVariables().

## ◆ observeStmt()

virtual void clang::LiveVariables::Observer::observeStmt | ( | const Stmt * | S,
|  | const CFGBlock * | currentBlock,
|  | const LivenessValues & | V
| ) |  |
| inline virtual

A callback invoked right before invoking the liveness transfer function on the given statement.

Definition at line 62 of file LiveVariables.h.

The documentation for this class was generated from the following files:

- include/clang/Analysis/Analyses/LiveVariables.h
- lib/Analysis/LiveVariables.cpp